Bug 473328 - Unicode warning when updating packages
Unicode warning when updating packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 13:58 EST by Tim Landscheidt
Modified: 2014-01-21 18:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:19:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Landscheidt 2008-11-27 13:58:44 EST
Description of problem:

There is a "UnicodeWarning: Unicode unequal comparison failed to convert both arguments to Unicode - interpreting them as being unequal" when updating packages between the "updating" and "cleaning" steps due to comparing a Unicode string to "None".

I do not know Python to assess whether this problem should be fixed in yum or Python but the former seems to much easier (just initialize self.lastmsg to a Unicode empty string).


Version-Release number of selected component (if applicable):

yum-3.2.20-3.fc10.noarch


How reproducible:


Steps to Reproduce:
1. yum update something-updatable
  

Actual results:

| [...]
|   Aktualisieren  : java-1.6.0-openjdk-demo                                                                                                              7/14
| /usr/share/yum-cli/output.py:1140: UnicodeWarning: Unicode unequal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if msg != self.lastmsg:
|   Aufräumen     : paps                                                                                                                                 8/14
| [...]


Expected results:

| [...]
|   Aktualisieren  : java-1.6.0-openjdk-demo                                                                                                              7/14
|   Aufräumen     : paps                                                                                                                                 8/14
| [...]
Comment 1 Fedora Update System 2009-01-12 14:20:26 EST
yum-3.2.21-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc10
Comment 2 Fedora Update System 2009-01-12 14:27:52 EST
yum-3.2.21-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc9
Comment 3 Fedora Update System 2009-01-14 22:00:24 EST
yum-3.2.21-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0460
Comment 4 Fedora Update System 2009-01-14 22:09:34 EST
yum-3.2.21-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0562
Comment 5 Fedora Update System 2009-02-04 21:18:40 EST
yum-3.2.21-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-02-04 21:25:31 EST
yum-3.2.21-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.